Map Evidence to Objectives or Controls

Maps an evidence to objectives and/or controls for a client.

In the request body, include only the entity codes that need to be mapped.
Empty or omitted arrays are ignored.

Supported request fields:

  • objectives (program-scoped objective codes using program_name and codes)
  • objective_codes (deprecated; use objectives with program_name and codes)
  • control_codes
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the client

Accepts either the client UUID or the client's tenant_id.

integer
required

Evidence ID.

Body Params

Provide the entity codes to be mapped to the evidence. Include only the fields that need to be mapped; empty or omitted fields will be ignored.

Business codes only (resolved server-side to internal IDs):
objectives → requirement.reqid scoped by program_name and codes;
objective_codes → requirement.reqid (legacy, tenant-wide);
control_codes → control.display_code;
assessment_question_codes → assessment_question.externalid.

objective_codes
array of strings
deprecated

Deprecated legacy objective (requirement) codes (reqid). Use objectives with program_name and codes.

objective_codes
objectives
array of objects

Objective (requirement) codes scoped by compliance program name

objectives
control_codes
array of strings

Control display codes

control_codes
assessment_question_codes
array of strings

Assessment question external identifiers

assessment_question_codes
Responses
204

Mappings applied (no response body)

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json